curl --request DELETE \
--url https://api.instantly.ai/api/v2/workspaces/current/whitelabel-domain \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/workspaces/current/whitelabel-domain"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/workspaces/current/whitelabel-domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/workspaces/current/whitelabel-domain")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/workspaces/current/whitelabel-domain",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/workspaces/current/whitelabel-domain"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a082d0-3352-7337-9c47-17ebc09bdb53",
"timestamp_created": "2026-09-08T20:57:57.842Z",
"timestamp_updated": "2026-09-08T20:57:57.842Z",
"owner": "01a082d0-3352-7337-9c47-17ec49c9661f",
"name": "My Workspace",
"scheduled_for_removal_at": "2026-09-08T20:57:57.842Z",
"plan_id": "pid_hg_v1",
"plan_id_bundle": "pid_bundle_scale_v2",
"add_unsub_to_block": false,
"default_opportunity_value": 250,
"plan_id_leadfinder": "pid_lf_ls_v1",
"plan_id_verification": {
"quantity": 5,
"product_id": "pid_verify_v1_monthly",
"timestamp_updated": "2024-07-22T05:56:58.667Z"
},
"org_logo_url": "https://example.com/logo.png",
"org_client_domain": "example.com",
"plan_id_crm": "pid_crm_v1",
"plan_id_website_visitor": "pid_wvw_v1",
"plan_id_inbox_placement": "pid_ip_v1"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Delete organization agency domain
Requires one of the following scopes: workspaces:update, workspaces:all, all:update, all:all
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The requested Workspace
A workspace entity representing a workspace
Unique identifier for the workspace
"01a082d0-3352-7337-9c47-17ebc09bdb53"
Timestamp when the workspace was created
"2026-09-08T20:57:57.842Z"
Timestamp when the workspace was last updated
"2026-09-08T20:57:57.842Z"
User ID of the workspace owner
"01a082d0-3352-7337-9c47-17ec49c9661f"
Name of the workspace
"My Workspace"
Timestamp when this workspace is scheduled to be removed
"2026-09-08T20:57:57.842Z"
Plan ID for workspace
"pid_hg_v1"
Plan ID for workspace bundle
"pid_bundle_scale_v2"
Whether to add unsubscribes to block list
false
Default value for opportunities
250
Plan ID for leadfinder
"pid_lf_ls_v1"
Plan ID for verification service
Show child attributes
Show child attributes
URL to workspace logo
"https://example.com/logo.png"
The domain for the white label agency mode
"example.com"
Plan ID for CRM
"pid_crm_v1"
Plan ID for website visitor tracking
"pid_wvw_v1"
Plan ID for inbox placement
"pid_ip_v1"